Debian Bug report logs - #569015
openipmi: FTBFS on kfreebsd-*: SIGPWR

version graph

Package: openipmi; Maintainer for openipmi is Noèl Köthe <noel@debian.org>; Source for openipmi is src:openipmi.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Tue, 9 Feb 2010 14:00:02 UTC

Severity: serious

Tags: patch

Found in version openipmi/2.0.16-1.1

Fixed in version openipmi/2.0.16-1.2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Noèl Köthe <noel@debian.org>:
Bug#569015; Package openipmi. (Tue, 09 Feb 2010 14:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Noèl Köthe <noel@debian.org>. (Tue, 09 Feb 2010 14:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openipmi: FTBFS on kfreebsd-*: SIGPWR
Date: Tue, 09 Feb 2010 14:59:11 +0100
Package: openipmi
Version: 2.0.16-1.1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

it looks like your package no longer builds on kfreebsd-*:
| if x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..    -Wall -Wsign-compare -I../include -I../libedit -DIPMI_CHECK_LOCKS   -Wall -g -O2 -MT ipmish.o -MD -MP -MF ".deps/ipmish.Tpo" -c -o ipmish.o ipmish.c; \
| 	then mv -f ".deps/ipmish.Tpo" ".deps/ipmish.Po"; else rm -f ".deps/ipmish.Tpo"; exit 1; fi
| ipmish.c: In function 'setup_term':
| ipmish.c:655: error: 'SIGPWR' undeclared (first use in this function)
| ipmish.c:655: error: (Each undeclared identifier is reported only once
| ipmish.c:655: error: for each function it appears in.)
| make[3]: *** [ipmish.o] Error 1

Since that's a regression (2.0.14-2 was built), your package is
considered out-of-date on a release arch, and won't be able to enter
testing until this bug is fixed.

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#569015; Package openipmi. (Tue, 09 Feb 2010 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. (Tue, 09 Feb 2010 15:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 569015@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 569015@bugs.debian.org
Cc: control@bugs.debian.org
Subject: [patch] openipmi: FTBFS on kfreebsd-*: SIGPWR
Date: Tue, 9 Feb 2010 18:39:49 +0100 (CET)
tags 569015 +patch
--

It is reincarnation of #497902, it is still not fixed upstream.

http://sourceforge.net/tracker/index.php?func=detail&aid=2179778&group_id=36127&atid=416300

The patch is the same as in #497902.

Petr







Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 09 Feb 2010 15:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#569015; Package openipmi. (Sat, 17 Jul 2010 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. (Sat, 17 Jul 2010 17:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 569015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 569015@bugs.debian.org
Subject: openipmi: diff for NMU version 2.0.16-1.2
Date: Sat, 17 Jul 2010 19:33:27 +0200
[Message part 1 (text/plain, inline)]
tags 569015 + pending
thanks

Dear maintainer,

I've prepared an NMU for openipmi (versioned as 2.0.16-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #364:  Sand fleas eating the Internet cables 
[openipmi-2.0.16-1.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 17:36:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Mon, 19 Jul 2010 17:51:21 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 19 Jul 2010 17:51:21 GMT) Full text and rfc822 format available.

Message #24 received at 569015-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 569015-close@bugs.debian.org
Subject: Bug#569015: fixed in openipmi 2.0.16-1.2
Date: Mon, 19 Jul 2010 17:47:17 +0000
Source: openipmi
Source-Version: 2.0.16-1.2

We believe that the bug you reported is fixed in the latest version of
openipmi, which is due to be installed in the Debian FTP archive:

libopenipmi-dev_2.0.16-1.2_i386.deb
  to main/o/openipmi/libopenipmi-dev_2.0.16-1.2_i386.deb
libopenipmi0_2.0.16-1.2_i386.deb
  to main/o/openipmi/libopenipmi0_2.0.16-1.2_i386.deb
openipmi_2.0.16-1.2.diff.gz
  to main/o/openipmi/openipmi_2.0.16-1.2.diff.gz
openipmi_2.0.16-1.2.dsc
  to main/o/openipmi/openipmi_2.0.16-1.2.dsc
openipmi_2.0.16-1.2_i386.deb
  to main/o/openipmi/openipmi_2.0.16-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated openipmi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 17 Jul 2010 19:19:01 +0200
Source: openipmi
Binary: openipmi libopenipmi0 libopenipmi-dev
Architecture: source i386
Version: 2.0.16-1.2
Distribution: unstable
Urgency: low
Maintainer: Noèl Köthe <noel@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libopenipmi-dev - Intelligent Platform Management Interface - development
 libopenipmi0 - Intelligent Platform Management Interface - runtime
 openipmi   - Intelligent Platform Management Interface (for servers)
Closes: 569015
Changes: 
 openipmi (2.0.16-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS on kfreebsd-*: SIGPWR": re-apply patch from 2.0.14-2/#497902;
     thanks Petr Salinger (closes: #569015).
Checksums-Sha1: 
 b498ada6c8652256b95ac17340abbc16bf5b2741 1738 openipmi_2.0.16-1.2.dsc
 935c69783f9ee446e66d52898bd718e25f9ed169 11292 openipmi_2.0.16-1.2.diff.gz
 ca631feb5491bbf356908a20f9f929704f9e45cc 192730 openipmi_2.0.16-1.2_i386.deb
 c44190e94c9f996f25f9782c5678c32e3d940aba 578462 libopenipmi0_2.0.16-1.2_i386.deb
 3b54275e9edf0442ab4ae93beda831f9dedae4dc 733188 libopenipmi-dev_2.0.16-1.2_i386.deb
Checksums-Sha256: 
 83a91c6568a3c7e0064374d5096eb0cdeaf9c1bc9933b3450007df43c58b6478 1738 openipmi_2.0.16-1.2.dsc
 e8b48fef00ad6d0950c1c4d2ce863773b61b6b4eb07ad03f0ea091eac6da77ef 11292 openipmi_2.0.16-1.2.diff.gz
 45ce9cf61d6f23c7d6a668dd79fb4eeb8248aafc32e5a5e4d9132427a8bc0cc0 192730 openipmi_2.0.16-1.2_i386.deb
 c867bd801e23745ebac6a4ec144b3b4634c38feb8e0a7945b55e9aa46f199f44 578462 libopenipmi0_2.0.16-1.2_i386.deb
 387d496aba044dbfb07b7830dd09c69e593f61da11821bc47ea0c907813da176 733188 libopenipmi-dev_2.0.16-1.2_i386.deb
Files: 
 0ee173cf6604bc983f3e90331b8cd006 1738 admin optional openipmi_2.0.16-1.2.dsc
 98150286b05cdfc6e0d0ea97e42bd4df 11292 admin optional openipmi_2.0.16-1.2.diff.gz
 11b58d4f6f91504cd3bea1667d17d1fc 192730 admin optional openipmi_2.0.16-1.2_i386.deb
 8dd5cf22a204f1b42ad7cb630cae68df 578462 devel optional libopenipmi0_2.0.16-1.2_i386.deb
 c8fedcbce808abeae9d4453b35480e37 733188 libdevel optional libopenipmi-dev_2.0.16-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMQekvAAoJELs6aAGGSaoG+FkQALs7ZTzX1qiobNTFkqtY2J2U
cD8o4X51uF/jG9XAW7iqu16zBTGkUpY2ZIELXkbmzzk2AubxKv3/fgHg3pyioUl/
TzZfLQY5VBPxuwG1gml5QSkkfy57x9ZpJgmPmuEL2MMXJbj2lrUlPM+FWtM4LOzs
ffuWkRFS/UcUOr9vj8a+AIbC3LhlW17bvDqzf38TOBMu1G2anx03zSA5S8zV4xgh
ZJ87pr33OUiNM/SZXyXdv9WXndiygTs8EkyJm1Ud4tw+IXHVRcjrLR0U6o4ckhk3
kfFJr5RV2i8p7jk4LlXCBcZF8rwC5dXNeGlTdnw+xK1dflZo+0+LLjioOe4Zuzl9
eZEKIlgGgaPFMZP+roAclwZ2o3nlPxYd1XkwN4CeWv/EHBqIzqYWV0rQLhL3wE7s
v6VLn6MqtfqFPqfwmTqEIng2flmK9dSYiDwM+fhh/O8Ofi1cZaTFcMGNUxxVPytn
FGsuM4bwZzvraWFGeST/T9qhob/sFLfwotQnslqVl9zJgKDJ4Rjf9mchUCB6QVhk
yyi/KrdS7oLP4KT4Vqqpf4bfychMbpv3zn6AlIyXTIgxaK97eQ1CWhHOXWDfnk3G
GEKtYMfsvwbvAxcUWgdjTKfCiltV9/iNFo3QNE32mU7bvuxIxwJa3XLfpcz6algV
WLj6tkB+4eIag4tWSB1L
=Sukj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Aug 2010 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:38:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.